DBFDUMP(1)

NAME
dbfdump - dumps the content of a xBase file to the terminal

##SYNOPSIS dbfdump [-h] [-r] [-m] xbase_file

##DESCRIPTION Dumps the contents of xbase_file to standard output. The first line contains the field names appearing in xbase_file, and each of the following lines contains the field values of a record. Field names and values are padded by spaces to their field widths. Empty fields are printed as the string "(NULL)".

##OPTIONS

-h  output header info (field descriptions).

    Prints the column field definitions before other output. Each field definition consists of a line of the form

    Field: index, Type=type, Title=`name', Width=width, Decimals=precision

    where index is the zero offset column number of the field; the type indicates the datatype of the field value and is either "Integer", "Real" or "String"; name is the field's name; width is the number of bytes reserved for the field's value; and precision is the number of decimal places of precision for "Real" type fields, and is zero for "Integer" and "String" type fields.

-r  output raw field info, numeric values not reformatted.

    Prints the exact bytes occurring in xbase_file for field values and suppresses printing "(NULL)" for empty values.

-m  output one line per field.

    Prints each record in multiline format separated by empty lines. The first line of a record gives the number of the record in the form

    Records: record_index

    where record_index is the zero offset number of the record in the file, and then each field of the record appears on its own line in the format

    name: value

xbase_file
    the name of an existing xBase file.

##EXAMPLE dbfdump -h testbase.dbf

assuming that testbase.dbf has 1 record (inserted by other example using dbfadd), this command line will produce the following output:

    Field 0: Type=String, Title='NAME', Width=20, Decimals=0
    Field 1: Type=Double, Title='AREA', Width=9, Decimals=3
    Field 2: Type=Double, Title='VALUE', Width=9, Decimals=2
    NAME AREA VALUE REGION1 25.656 150.22

##EXIT STATUS

0   Successful program execution.

1   Missing xbase_file argument.

2   Failed to open xbase_file.

3   There are no fields in xbase_file.

##DIAGNOSTICS The following diagnostics may be issued on stdout:

DBFOpen(xbase_file,"r") failed.

There are no fields in this table!

##AUTHOR dbfdump is part of shapelib, maintained by Frank Warmerdam. This guide was created by Eduardo Patoo Kanegae and converted to manpage by Johan Van de Wauw. It was further enhanced with the man page written by Joonas Pihlaja (jpihlaja@cc.helsinki.fi).

##BUGS Unless the -r option is given, values in numeric fields that overflow the int or double types of the C language are printed as plus or minus a huge number. For integer fields the huge value is HUGE_VALL from

##SEE ALSO dbfadd(1), dbfcat(1), dbfcreate(1), dbfinfo(1), shpadd(1), shpcat(1), shpcentrd(1), shpcreate(1), shpdump(1), shpdxf(1), shpfix(1), shpinfo(1), shpproj(1), shprewind(1), shptest(1)